'use strict';

var noModal = require('@web3auth/no-modal');
var react = require('react');
var WalletServicesInnerContext = require('../context/WalletServicesInnerContext.js');

const useWalletServicesPlugin = () => {
  const context = react.useContext(WalletServicesInnerContext.WalletServicesContext);
  if (!context) throw noModal.WalletInitializationError.fromCode(1000, "usage of useWalletServicesPlugin not wrapped in `WalletServicesContextProvider`.");
  return context;
};

exports.useWalletServicesPlugin = useWalletServicesPlugin;
