'use strict';

var noModal = require('@web3auth/no-modal');
var react = require('react');
var Web3AuthInnerContext = require('../context/Web3AuthInnerContext.js');

const useWeb3AuthInner = () => {
  const context = react.useContext(Web3AuthInnerContext.Web3AuthInnerContext);
  if (!context) {
    throw noModal.WalletInitializationError.fromCode(1000, "usage of useWeb3Auth not wrapped in `Web3AuthContextProvider`.");
  }
  return context;
};

exports.useWeb3AuthInner = useWeb3AuthInner;
