'use strict';

var auth = require('@web3auth/auth');
var noModal = require('@web3auth/no-modal');
var EmailPasswordlessHandler = require('./EmailPasswordlessHandler.js');
var SmsPasswordlessHandler = require('./SmsPasswordlessHandler.js');

const createPasswordlessHandler = (authConnection, params) => {
  switch (authConnection) {
    case auth.AUTH_CONNECTION.EMAIL_PASSWORDLESS:
      return new EmailPasswordlessHandler(params);
    case auth.AUTH_CONNECTION.SMS_PASSWORDLESS:
      return new SmsPasswordlessHandler(params);
    default:
      throw noModal.WalletInitializationError.invalidParams(`Unsupported auth connection: ${authConnection}`);
  }
};

exports.createPasswordlessHandler = createPasswordlessHandler;
