'use strict';

var noModal = require('@web3auth/no-modal');
var vue = require('vue');
var useWeb3AuthInner = require('./useWeb3AuthInner.js');

const useManageMFA = () => {
  const {
    web3Auth
  } = useWeb3AuthInner.useWeb3AuthInner();
  const loading = vue.ref(false);
  const error = vue.ref(null);
  const manageMFA = async () => {
    try {
      if (!web3Auth.value) throw noModal.WalletInitializationError.notReady();
      error.value = null;
      loading.value = true;
      await web3Auth.value.manageMFA();
    } catch (err) {
      error.value = err;
    } finally {
      loading.value = false;
    }
  };
  return {
    loading,
    error,
    manageMFA
  };
};

exports.useManageMFA = useManageMFA;
