'use strict';

var noModal = require('@web3auth/no-modal');
var vue = require('vue');
var useSolanaWallet = require('./useSolanaWallet.js');

const useSignMessage = () => {
  const {
    solanaWallet,
    accounts
  } = useSolanaWallet.useSolanaWallet();
  const loading = vue.ref(false);
  const error = vue.ref(null);
  const data = vue.ref(null);
  const signMessage = async (message, from) => {
    loading.value = true;
    error.value = null;
    try {
      var _accounts$value;
      if (!solanaWallet.value) throw noModal.WalletInitializationError.notReady();
      const signature = await solanaWallet.value.signMessage(message, from !== null && from !== void 0 ? from : (_accounts$value = accounts.value) === null || _accounts$value === void 0 ? void 0 : _accounts$value[0]);
      data.value = signature;
      return signature;
    } catch (err) {
      error.value = err;
    } finally {
      loading.value = false;
    }
  };
  return {
    loading,
    error,
    data,
    signMessage
  };
};

exports.useSignMessage = useSignMessage;
