import type { IProvider, LoginParamMap, WALLET_CONNECTOR_TYPE, Web3AuthError } from "@web3auth/no-modal";
export interface IUseWeb3AuthConnect {
    isConnected: boolean;
    loading: boolean;
    error: Web3AuthError | null;
    connectorName: WALLET_CONNECTOR_TYPE | null;
    connect(): Promise<IProvider | null>;
    connectTo<T extends WALLET_CONNECTOR_TYPE>(connector: T, params?: LoginParamMap[T]): Promise<IProvider | null>;
}
export declare const useWeb3AuthConnect: () => IUseWeb3AuthConnect;
