import "./css/index.css";
import { type BaseConnectorConfig, type LoginMethodConfig, type WALLET_CONNECTOR_TYPE } from "@web3auth/no-modal";
import { LoginModalCallbacks, LoginModalProps, UIConfig } from "./interfaces";
export declare class LoginModal {
    private uiConfig;
    private stateEmitter;
    private chainNamespaces;
    private walletRegistry;
    private callbacks;
    private externalWalletsConfig;
    private analytics;
    constructor(uiConfig: LoginModalProps, callbacks: LoginModalCallbacks);
    get isDark(): boolean;
    initModal: () => Promise<void>;
    addSocialLogins: (connector: WALLET_CONNECTOR_TYPE, loginMethods: LoginMethodConfig, loginMethodsOrder: string[], uiConfig: Omit<UIConfig, "connectorListener">) => void;
    addWalletLogins: (externalWalletsConfig: Record<string, BaseConnectorConfig>, options?: {
        externalWalletsInitialized: boolean;
        externalWalletsVisibility: boolean;
        showExternalWalletsOnly: boolean;
    }) => void;
    open: () => void;
    closeModal: () => void;
    initExternalWalletContainer: () => void;
    private handleShowExternalWallets;
    private handleExternalWalletClick;
    private handleSocialLoginClick;
    private setState;
    private handleConnectorData;
    private subscribeCoreEvents;
}
