import { LANGUAGE_TYPE } from "@web3auth/auth";
import { ClassValue } from "clsx";
import { browser, mobileOs, platform, ValidatePhoneNumberApiResponse } from "./interfaces";
/** Merge classes with tailwind-merge with clsx full feature and memoization */
export declare function cn(...inputs: ClassValue[]): string;
export declare const getBrowserExtensionUrl: (browserType: browser, walletId: string) => string;
export declare const getMobileInstallLink: (os: mobileOs, appId: string) => string;
export declare const getOsName: (os: mobileOs) => "iOS" | "Android" | "";
export declare const getBrowserName: (browserType: browser) => string;
export declare const getIcons: (icon: string) => string;
export declare function validateImageUrl(url: string): Promise<boolean>;
export declare function getNetworkIconId(ticker: string): Promise<string>;
export declare const passwordlessBackendUrl = "https://api.web3auth.io/passwordless-service";
export declare const getUserCountry: () => Promise<{
    country: string;
    dialCode: string;
} | null>;
export declare const validatePhoneNumber: (phoneNumber: string) => Promise<ValidatePhoneNumberApiResponse>;
export declare const getUserLanguage: (defaultLanguage: string | undefined) => LANGUAGE_TYPE;
export declare const getPlatform: () => platform;
export declare function formatIOSMobile(params: {
    uri: string;
    link?: string;
}): string;
export declare const getErrorMessages: (errorCode: string) => string;
