import { IProvider, LoginParamMap, WALLET_CONNECTOR_TYPE, Web3AuthError } from "@web3auth/no-modal";
import { Ref } from "vue";
export interface IUseWeb3AuthConnect {
    isConnected: Ref<boolean>;
    loading: Ref<boolean>;
    error: Ref<Web3AuthError | null>;
    connectorName: Ref<WALLET_CONNECTOR_TYPE | null>;
    connect(): Promise<IProvider | null>;
    connectTo<T extends WALLET_CONNECTOR_TYPE>(connector: T, params?: LoginParamMap[T]): Promise<IProvider | null>;
}
export declare const useWeb3AuthConnect: () => IUseWeb3AuthConnect;
