import { WalletInitializationError } from '@web3auth/no-modal';
import { useContext } from 'react';
import { Web3AuthInnerContext } from '../context/Web3AuthInnerContext.js';

const useWeb3AuthInner = () => {
  const context = useContext(Web3AuthInnerContext);
  if (!context) {
    throw WalletInitializationError.fromCode(1000, "usage of useWeb3Auth not wrapped in `Web3AuthContextProvider`.");
  }
  return context;
};

export { useWeb3AuthInner };
