import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';
import en from './i18n/english.json.js';

const i18nInstance = i18n.createInstance();
i18nInstance.use(initReactI18next).init({
  resources: {
    en: {
      translation: en
    }
  },
  lng: "en",
  fallbackLng: "en",
  interpolation: {
    escapeValue: false
  },
  debug: false,
  react: {
    useSuspense: true
  }
});

export { i18nInstance as default };
