import { Web3AuthContextKey, WalletInitializationError } from '@web3auth/no-modal';
import { inject } from 'vue';

const useWeb3AuthInner = () => {
  const context = inject(Web3AuthContextKey);
  if (!context) throw WalletInitializationError.fromCode(1000, "usage of `useWeb3Auth` not wrapped in `Web3AuthProvider`.");
  return context;
};

export { useWeb3AuthInner };
